ReactPhysics3D: reactphysics3d::FixedJoint Class Reference

| ReactPhysics3D v0.10.2 C++ Physics engine library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
reactphysics3d::FixedJoint Class Reference

This class represents a fixed joint that is used to forbid any translation or rotation between two bodies. More...

`#include <include/reactphysics3d/constraint/FixedJoint.h>`

Inheritance diagram for reactphysics3d::FixedJoint:

## Public Member Functions
| FixedJoint (Entity entity, PhysicsWorld &world, const FixedJointInfo &jointInfo)
| Constructor.
virtual | ~FixedJoint () override=default
| Destructor.
| FixedJoint (const FixedJoint &constraint)=delete
| Deleted copy-constructor.
virtual Vector3 | getReactionForce (decimal timeStep) const override
| Return the force (in Newtons) on body 2 required to satisfy the joint constraint in world-space.
virtual Vector3 | getReactionTorque (decimal timeStep) const override
| Return the torque (in Newtons * meters) on body 2 required to satisfy the joint constraint in world-space.
virtual std::string | to_string () const override
| Return a string representation.
FixedJoint & | operator= (const FixedJoint &constraint)=delete
| Deleted assignment operator.
Public Member Functions inherited from reactphysics3d::Joint
| Joint (Entity entity, PhysicsWorld &world)
| Constructor.
virtual | ~Joint ()=default
| Destructor.
| Joint (const Joint &constraint)=delete
| Deleted copy-constructor.
Joint & | operator= (const Joint &constraint)=delete
| Deleted assignment operator.
RigidBody * | getBody1 () const
| Return the reference to the body 1.
RigidBody * | getBody2 () const
| Return the reference to the body 2.
JointType | getType () const
| Return the type of the constraint.
virtual Vector3 | getReactionForce (decimal timeStep) const =0
| Return the force (in Newtons) on body 2 required to satisfy the joint constraint.
virtual Vector3 | getReactionTorque (decimal timeStep) const =0
| Return the torque (in Newtons * meters) on body 2 required to satisfy the joint constraint.
bool | isCollisionEnabled () const
| Return true if the collision between the two bodies of the joint is enabled.
Entity | getEntity () const
| Return the entity id of the joint.
virtual std::string | to_string () const =0
| Return a string representation.

## Detailed Description

This class represents a fixed joint that is used to forbid any translation or rotation between two bodies.

## Member Function Documentation

## ◆ getReactionForce()

Vector3 FixedJoint::getReactionForce | ( | decimal | timeStep | ) | const
| overridevirtual

Return the force (in Newtons) on body 2 required to satisfy the joint constraint in world-space.

Returns
  The current force (in Newtons) applied on body 2

Implements reactphysics3d::Joint.

## ◆ getReactionTorque()

Vector3 FixedJoint::getReactionTorque | ( | decimal | timeStep | ) | const
| overridevirtual

Return the torque (in Newtons * meters) on body 2 required to satisfy the joint constraint in world-space.

Returns
  The current torque (in Newtons * meters) applied on body 2

Implements reactphysics3d::Joint.

## ◆ to_string()

std::string FixedJoint::to_string | ( |  | ) | const
| overridevirtual

Return a string representation.

Implements reactphysics3d::Joint.

The documentation for this class was generated from the following files:

- include/reactphysics3d/constraint/FixedJoint.h
- src/constraint/FixedJoint.cpp